> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List canned responses

> Returns a paginated list of canned responses.

**Required scopes:** <Tooltip tip="Required for accessing canned responses in groups the agent belongs to.">`canned_responses--groups:ro`</Tooltip> <Tooltip tip="Required when using the `include_all_private` parameter.">`canned_responses--all:ro`</Tooltip>


## OpenAPI

````yaml /api/configuration/v3.7/openapi.json post /action/list_canned_responses
openapi: 3.1.0
info:
  title: Configuration API
  version: v3.7
servers:
  - url: https://api.livechatinc.com/v3.7/configuration
security:
  - PersonalAccessToken: []
  - OAuth2BearerToken: []
paths:
  /action/list_canned_responses:
    post:
      tags:
        - Canned responses
      summary: List canned responses
      description: Returns a paginated list of canned responses.
      operationId: list-canned-responses
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListCannedResponsesRequest'
            example:
              group_ids:
                - 1
                - 2
              include_private: true
              limit: 10
      responses:
        '200':
          description: A paginated list of canned responses.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListCannedResponsesResponse'
              example:
                canned_responses:
                  - id: 12345
                    text: Thank you for contacting us! How may I assist you today?
                    tags:
                      - greeting
                      - support
                      - updated
                    group_id: 1
                    is_private: true
                    author_id: smith@example.com
                    created_at: '2026-06-17T08:16:45.000000Z'
                    updated_at: '2026-06-17T08:16:45.000000Z'
                  - id: 12346
                    text: We'll get back to you within 24 hours.
                    tags:
                      - follow-up
                    group_id: 1
                    is_private: false
                    author_id: smith@example.com
                    created_at: '2026-06-10T08:16:45.000000Z'
                    updated_at: '2026-06-22T07:11:28.288340Z'
                found_canned_responses: 25
                next_page_id: MTIzNDY=
components:
  schemas:
    ListCannedResponsesRequest:
      type: object
      properties:
        group_ids:
          type: array
          items:
            type: integer
          description: >-
            Filter by specific group IDs. If not provided, defaults to groups
            the user has access to.
        include_private:
          type: boolean
          description: >-
            If set to `true`: private canned responses will be included.
            Default: `false`.
        include_all_private:
          type: boolean
          description: >-
            If set to `true`: all private canned responses will be included.
            Requires the `canned_responses--all:ro` scope. Default: `false`.
        limit:
          type: integer
          minimum: 1
          maximum: 100000
          description: >-
            The number of results per page. Minimum: `1`. Maximum: `100000`.
            Default: `100`.
        page_id:
          type: string
          description: The page ID for pagination.
    ListCannedResponsesResponse:
      type: object
      properties:
        canned_responses:
          type: array
          items:
            $ref: '#/components/schemas/CannedResponse'
          description: An array of canned response objects.
        found_canned_responses:
          type: integer
          description: The total number of canned responses found.
        next_page_id:
          type: string
          description: The page ID for the next page, if it exists.
    CannedResponse:
      type: object
      properties:
        id:
          type: integer
          description: The canned response ID.
        text:
          type: string
          description: The canned response text content.
        tags:
          type: array
          items:
            type: string
          description: An array of tags.
        group_id:
          type: integer
          description: The group ID the canned response belongs to.
        is_private:
          type: boolean
          description: '`true` when the canned response is private.'
        author_id:
          type: string
          description: The user ID of the last editor.
        created_at:
          type: string
          format: date-time
          description: The timestamp indicating when the canned response was created.
        updated_at:
          type: string
          format: date-time
          description: The timestamp indicating when the canned response was last updated.
  securitySchemes:
    PersonalAccessToken:
      type: http
      scheme: basic
      description: >-
        Use your `account ID` as the username and your personal access token
        (PAT) as the password, or pass a Base64-encoded value directly in the
        Authorization header. For more information, see the <a
        href="/authentication/personal-access-tokens">personal access tokens
        guide</a>.
    OAuth2BearerToken:
      type: http
      scheme: bearer
      description: Authenticate using an OAuth 2.0 Bearer token.
      x-example: us-south1:MQraNrGCsoJvtxD7KNJQB1kM3d5

````